BLKDEV_ISSUE_WRITE_S(9)

NAME
blkdev_issue_write_same - queue a write same operation

SYNOPSIS

int blkdev_issue_write_same(struct block_device * bdev, sector_t sector, sector_t nr_sects, gfp_t gfp_mask, struct page * page);

ARGUMENTS

bdev
    target blockdev

sector
    start sector

nr_sects
    number of sectors to write

gfp_mask
    memory allocation flags (for bio_alloc)

page
    page containing data to write

DESCRIPTION

Issue a write same request for the sectors in question.

COPYRIGHT